Bug 1927 - Frysk crashes with a glibc corrupted double-linked list
Summary: Frysk crashes with a glibc corrupted double-linked list
Status: RESOLVED FIXED
Alias: None
Product: frysk
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
: P1 normal
Target Milestone: ---
Assignee: Adam Jocksch
URL:
Keywords:
: 1938 (view as bug list)
Depends on:
Blocks: 1633 1838
  Show dependency treegraph
 
Reported: 2005-11-25 16:30 UTC by Adam Jocksch
Modified: 2006-11-21 16:35 UTC (History)
0 users

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Jocksch 2005-11-25 16:30:22 UTC
Occaisionally frysk crashes with a message similar to the following:
(java-gnome:30392): GLib-GObject-WARNING **: IA__g_object_remove_toggle_ref:
couldn't find toggle ref 0x9b78d4(0x9ae7860)

(java-gnome:30392): GLib-GObject-WARNING **: IA__g_object_remove_toggle_ref:
couldn't find toggle ref 0x9b78d4(0x9b54200)

*** glibc detected *** frysk-gui/frysk/gui/FryskGui: corrupted double-linked
list: 0x09c70710 ***
======= Backtrace: =========
/lib/libc.so.6[0xc67bed]
/lib/libc.so.6[0xc68d8d]
/lib/libc.so.6(calloc+0x91)[0xc6a1d9]
/opt/frysk/lib/libglib-2.0.so.0(g_malloc0+0x38)[0x70913e]
/opt/frysk/lib/libglib-2.0.so.0[0x6f5d94]
/opt/frysk/lib/libglib-2.0.so.0(g_hash_table_remove+0xae)[0x6f6997]
/home/ajocksch/java-gnome/libgtk-java-install//lib/libgtkjni-2.8.so(processPendingGBoxed+0xab)[0x9b81b7]
/opt/frysk/lib/libglib-2.0.so.0[0x704910]
/opt/frysk/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1dc)[0x7026ae]
/opt/frysk/lib/libglib-2.0.so.0[0x7056b6]
/opt/frysk/lib/libglib-2.0.so.0(g_main_loop_run+0x1a1)[0x7059a3]
/opt/frysk/lib/libgtk-x11-2.0.so.0(gtk_main+0xb4)[0x1037ba5]
/home/ajocksch/java-gnome/libgtk-java-install//lib/libgtkjni-2.8.so(Java_org_gnu_gtk_Gtk_gtk_1main+0x16)[0x9d17d2]
/home/ajocksch/java-gnome/libgtk-java-install//lib/libgtkjava-2.8.so(_ZN3org3gnu3gtk3Gtk8gtk_mainEv+0x3f)[0x37a48f]
/home/ajocksch/java-gnome/libgtk-java-install//lib/libgtkjava-2.8.so(_ZN3org3gnu3gtk3Gtk4mainEv+0x33)[0x37a4fb]
frysk-gui/frysk/gui/FryskGui[0x80ba4e5]
frysk-gui/frysk/gui/FryskGui[0x80ba7a8]
/usr/lib/libgcj.so.6(_ZN3gnu4java4lang10MainThread9call_mainEv+0xcd)[0x19547dd]
/usr/lib/libgcj.so.6(_ZN3gnu4java4lang10MainThread3runEv+0x46)[0x19e8b36]
/usr/lib/libgcj.so.6(_Z13_Jv_ThreadRunPN4java4lang6ThreadE+0x27)[0x1963be1]
/usr/lib/libgcj.so.6(_Z11_Jv_RunMainP14_Jv_VMInitArgsPN4java4lang5ClassEPKciPS6_b+0xb9)[0x19292d5]
/usr/lib/libgcj.so.6(_Z11_Jv_RunMainPN4java4lang5ClassEPKciPS4_b+0x42)[0x192943e]
/usr/lib/libgcj.so.6(JvRunMain+0x3b)[0x192947f]
frysk-gui/frysk/gui/FryskGui[0x80b9cd4]
/lib/libc.so.6(__libc_start_main+0xdf)[0xc19d5f]
frysk-gui/frysk/gui/FryskGui(_ZN3org3xml3sax7helpers13XMLFilterImpl11setPropertyEPN4java4lang6StringEPNS5_6ObjectE+0x71)[0x80b9c19]
======= Memory map: ========
00001000-000e6000 rwxp 00001000 00:00 0
00111000-004ed000 r-xp 00000000 00:16 15138957  
/home/ajocksch/java-gnome/libgtk-java-install/lib/libgtkjava-2.8.so
004ed000-0057e000 rwxp 003db000 00:16 15138957  
/home/ajocksch/java-gnome/libgtk-java-install/lib/libgtkjava-2.8.so
0057e000-00584000 rwxp 0057e000 00:00 0
00584000-00603000 r-xp 00000000 08:03 11534727  
/opt/frysk/lib/libgdk-x11-2.0.so.0.800.6
00603000-0060a000 rwxp 0007f000 08:03 11534727  
/opt/frysk/lib/libgdk-x11-2.0.so.0.800.6
0060a000-0061e000 r-xp 00000000 08:03 5027932    /usr/lib/libatk-1.0.so.0.901.0
0061e000-00621000 rwxp 00014000 08:03 5027932    /usr/lib/libatk-1.0.so.0.901.0
00621000-0066e000 r-xp 00000000 08:03 11534607   /opt/frysk/lib/libcairo.so.2.2.2
0066e000-00670000 rwxp 0004d000 08:03 11534607   /opt/frysk/lib/libcairo.so.2.2.2
00670000-006a9000 r-xp 00000000 08:03 11534493  
/opt/frysk/lib/libgobject-2.0.so.0.800.3
006a9000-006ad000 rwxp 00038000 08:03 11534493  
/opt/frysk/lib/libgobject-2.0.so.0.800.3
006ad000-006b0000 r-xp 00000000 08:03 11534491  
/opt/frysk/lib/libgmodule-2.0.so.0.800.3
006b0000-006b1000 rwxp 00002000 08:03 11534491  
/opt/frysk/lib/libgmodule-2.0.so.0.800.3
006b1000-006ba000 r-xp 00000000 08:03 426079     /lib/libgcc_s-4.0.1-20050727.so.1
006ba000-006bb000 rwxp 00009000 08:03 426079     /lib/libgcc_s-4.0.1-20050727.so.1
006bb000-006c1000 r-xp 00000000 08:03 11534629  
/opt/frysk/lib/libpangoxft-1.0.so.0.1000.0
006c1000-006c2000 rwxp 00005000 08:03 11534629  
/opt/frysk/lib/libpangoxft-1.0.so.0.1000.0
006c2000-006c6000 r-xp 00000000 08:03 5027321    /usr/X11R6/lib/libXfixes.so.3.0
006c6000-006c7000 rwxp 00003000 08:03 5027321    /usr/X11R6/lib/libXfixes.so.3.0
006c7000-006dd000 r-xp 00000000 08:03 5044073    /usr/lib/libglade-2.0.so.0.0.7
006dd000-006de000 rwxp 00016000 08:03 5044073    /usr/lib/libglade-2.0.so.0.0.7
006de000-00765000 r-xp 00000000 08:03 11534489  
/opt/frysk/lib/libglib-2.0.so.0.800.3
00765000-0076a000 rwxp 00086000 08:03 11534489  
/opt/frysk/lib/libglib-2.0.so.0.800.3
0076a000-00774000 r-xp 00000000 08:03 11534627  
/opt/frysk/lib/libpangox-1.0.so.0.1000.0
00774000-00775000 rwxpAborted
Comment 1 E. Zannoni 2005-12-01 15:40:29 UTC
*** Bug 1938 has been marked as a duplicate of this bug. ***
Comment 2 Adam Jocksch 2005-12-12 19:37:07 UTC
I've made one patch to Java-gnome that seems to have changed the nature of the
bug, I'm still getting a crash but it's no longer printing the stack trace and
I'm not even entirely sure that there's a double free going on. I will
investigate further.
Comment 3 Adam Jocksch 2005-12-16 15:47:28 UTC
This bug has been fixed in Java-gnome HEAD